Name: hencsat
Version: 1.1.12~rc1
Release: 1
Summary: HENCSAT Test Bench
Group: Applications/Internet
License: GPL-3.0-or-later
URL: https://git.ansur.no/hencsat.git
Source: https://packages.nntb.no/sources/%{name}-%{version}.tar.xz

AutoReqProv: on
BuildRequires: cmake
BuildRequires: dejavu-sans-fonts
BuildRequires: dejavu-sans-mono-fonts
BuildRequires: dejavu-serif-fonts
BuildRequires: gcc
BuildRequires: ghostscript
BuildRequires: gimp
BuildRequires: google-noto-cjk-fonts
BuildRequires: google-noto-sans-fonts
BuildRequires: google-noto-serif-fonts
BuildRequires: GraphicsMagick
BuildRequires: perl-Image-ExifTool
BuildRequires: urw-base35-fonts
BuildRequires: lksctp-tools-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-linguist
BuildRequires: qtchooser
BuildRoot: %{_tmppath}/%{name}-%{version}-build

BuildArch: noarch

# TEST ONLY:
# define _unpackaged_files_terminate_build 0


%description
HENCSAT investigates the benefits of combining H.265 video
encoding with torrent transmission and multi-path transport.
Goal is to optimise communication services -- particularly
also using satellite communication -- for the communication
with unmanned aerial vehicles (UAV) and vehicle convoys in
remote areas. These are the GPL-licensed Open Source parts
of the Test Bench.
See https://www.simula.no for details on HENCSAT!

%prep
%setup -q

%build
# NOTE: CMAKE_VERBOSE_MAKEFILE=OFF for reduced log output!
%cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_VERBOSE_MAKEFILE=OFF .
%cmake_build

%install
%cmake_install
# ====== Relocate files =====================================================
mkdir -p %{buildroot}/boot/HENCSAT
for name in HSClient1 HSController1 HSDevelopment1 HSManagement1 HSRouter1 HSServer1 ; do
   mv %{buildroot}/usr/share/hencsat-desktop/splash/${name}-*.jpeg %{buildroot}/boot/HENCSAT
done
mkdir -p %{buildroot}/etc/hencsat
mv %{buildroot}/usr/share/hencsat-desktop/splash/hencsat-version %{buildroot}/etc/hencsat
# ===========================================================================


%package management
Summary: Management tools for the HENCSAT Test Bench environment
Group: Applications/Internet
BuildArch: noarch
Requires: bash-completion
Requires: bridge-utils
Requires: btrfs-progs
Requires: bc
Requires: bwm-ng
Requires: colordiff
Requires: cronie
Requires: ethtool
Requires: git
Requires: gpm
Requires: hping3
Requires: htop
Requires: joe
Requires: jq
Requires: libidn
Requires: lksctp-tools
Requires: mlocate
Requires: net-snmp-utils
Requires: net-tools
Requires: nmap
Requires: (ntpsec or ntpdate)
Requires: pxz
Requires: reprepro
Requires: smartmontools
Requires: subnetcalc
Requires: tcpdump
Requires: td-system-tools-system-info >= 1.1.1
Requires: td-system-tools-system-maintenance >= 1.1.1
Requires: td-system-tools-configure-grub >= 1.1.1
Requires: tftp
Requires: traceroute
Requires: tree
Requires: vconfig
Requires: virt-what
Requires: whois
Recommends: grub2-tools
Recommends: netperfmeter
Recommends: reiserfs-utils
Recommends: rsplib-docs
Recommends: rsplib-services
Recommends: rsplib-tools
Recommends: wireshark-cli

%description management
HENCSAT investigates the benefits of combining H.265 video
encoding with torrent transmission and multi-path transport.
Goal is to optimise communication services -- particularly
also using satellite communication -- for the communication
with unmanned aerial vehicles (UAV) and vehicle convoys in
remote areas. These are the GPL-licensed Open Source parts
of the Test Bench.
This metapackage contains basic software for HENCSAT system management.
The software installed provides a common working environment.
See https://www.simula.no for details on HENCSAT!

%files management
/boot/HENCSAT/HSManagement1-*.jpeg
%{_sysconfdir}/grub.d/??_hencsat_management_theme
%{_sysconfdir}/hencsat/hencsat-version
%{_bindir}/HENCSAT-Packet-Recorder
%{_bindir}/HENCSAT-Routing-Rule-Setup
%{_bindir}/HENCSAT-System-Info
%{_bindir}/HENCSAT-System-Maintenance
%{_mandir}/man1/HENCSAT-Packet-Recorder.1.gz
%{_mandir}/man1/HENCSAT-Routing-Rule-Setup.1.gz
%{_mandir}/man1/HENCSAT-System-Info.1.gz
%{_mandir}/man1/HENCSAT-System-Maintenance.1.gz
%{_datadir}/hencsat/grub-defaults
%{_datadir}/hencsat/pbuilderrc
%{_sysconfdir}/system-info.d/35-hencsat
%{_sysconfdir}/system-maintenance.d/35-hencsat
%ghost /etc/cron-apt/action.d/5-install

%post management
echo "Updating /etc/default/grub with HENCSAT settings:"
configure-grub /usr/share/hencsat/grub-defaults -o /etc/default/grub
if [ -e /usr/sbin/grub2-mkconfig ] ; then /usr/sbin/grub2-mkconfig -o /boot/grub2/grub.cfg || true ; fi

%postun management
rm -f /etc/grub.d/??_hencsat_management_theme
if [ -e /usr/sbin/grub2-mkconfig ] ; then /usr/sbin/grub2-mkconfig -o /boot/grub2/grub.cfg || true ; fi


%package firewall
Summary: Firewall tools for the HENCSAT Test Bench environment
Group: Applications/Internet
BuildArch: noarch
Requires: iptables

%description firewall
This package contains the scripts to configure a HENCSAT Management LAN firewall.
See https://www.simula.no for details on HENCSAT!

%files firewall
%{_bindir}/Management-LAN-Firewall
%{_mandir}/man1/Management-LAN-Firewall.1.gz
%{_datadir}/doc/hencsat-firewall/examples/management-lan.conf.example


%package development
Summary: Development tools for the HENCSAT Test Bench environment
Group: Applications/Internet
BuildArch: noarch
Requires: %{name}-management = %{version}-%{release}
Requires: autoconf
Requires: automake
Requires: banner
Requires: bison
Requires: bzip2-devel
Requires: clang
Requires: cmake
Requires: (createrepo_c or createrepo)
Requires: debhelper
Requires: dejavu-sans-fonts
Requires: dejavu-sans-mono-fonts
Requires: dejavu-serif-fonts
Requires: devscripts
Requires: flex
Requires: gcc
Requires: gcc-c++
Requires: gdb
Requires: ghostscript
Requires: gimp
Requires: glib2-devel
Requires: gnupg
Requires: google-noto-cjk-fonts
Requires: google-noto-sans-fonts
Requires: google-noto-serif-fonts
Requires: GraphicsMagick
Requires: libcurl-devel
Requires: libpcap-devel
Requires: libtool
Requires: lksctp-tools-devel
Requires: make
Requires: mock
Requires: openssl-devel
Requires: pbuilder
Requires: perl-Image-ExifTool
Requires: python3
Requires: qt5-qtbase-devel
Requires: quilt
Requires: R-base
Requires: rpm
Requires: texlive-epstopdf-bin
Requires: uuid
Requires: urw-base35-fonts
Requires: valgrind
Recommends: rsplib-devel

%description development
HENCSAT investigates the benefits of combining H.265 video
encoding with torrent transmission and multi-path transport.
Goal is to optimise communication services -- particularly
also using satellite communication -- for the communication
with unmanned aerial vehicles (UAV) and vehicle convoys in
remote areas. These are the GPL-licensed Open Source parts
of the Test Bench.
This metapackage contains basic software for HENCSAT development.
The software installed provides a common working environment.
See https://www.simula.no for details on HENCSAT!

%files development
/boot/HENCSAT/HSDevelopment1-*.jpeg
%{_sysconfdir}/grub.d/??_hencsat_development_theme

%post development
if [ -e /usr/sbin/grub2-mkconfig ] ; then /usr/sbin/grub2-mkconfig -o /boot/grub2/grub.cfg || true ; fi

%postun development
rm -f /etc/grub.d/??_hencsat_development_theme
if [ -e /usr/sbin/grub2-mkconfig ] ; then /usr/sbin/grub2-mkconfig -o /boot/grub2/grub.cfg || true ; fi


%package server
Summary: Server tools for the HENCSAT Test Bench environment
Group: Applications/Internet
BuildArch: noarch
Requires: ffmpeg
Requires: %{name}-management = %{version}-%{release}
Requires: %{name}-firewall = %{version}-%{release}

%description server
HENCSAT investigates the benefits of combining H.265 video
encoding with torrent transmission and multi-path transport.
Goal is to optimise communication services -- particularly
also using satellite communication -- for the communication
with unmanned aerial vehicles (UAV) and vehicle convoys in
remote areas. These are the GPL-licensed Open Source parts
of the Test Bench.
This package contains the scripts to configure a HENCSAT server.
See https://www.simula.no for details on HENCSAT!

%files server
/boot/HENCSAT/HSServer1-*.jpeg
%{_sysconfdir}/grub.d/??_hencsat_server_theme

%post server
if [ -e /usr/sbin/grub2-mkconfig ] ; then /usr/sbin/grub2-mkconfig -o /boot/grub2/grub.cfg || true ; fi

%postun server
rm -f /etc/grub.d/??_hencsat_server_theme
if [ -e /usr/sbin/grub2-mkconfig ] ; then /usr/sbin/grub2-mkconfig -o /boot/grub2/grub.cfg || true ; fi


%package desktop
Summary: Desktop setup for the HENCSAT Test Bench environment
Group: Applications/Internet
BuildArch: noarch
Requires: %{name}-management = %{version}-%{release}
Recommends: xorg-x11-drv-vmware

%description desktop
HENCSAT investigates the benefits of combining H.265 video
encoding with torrent transmission and multi-path transport.
Goal is to optimise communication services -- particularly
also using satellite communication -- for the communication
with unmanned aerial vehicles (UAV) and vehicle convoys in
remote areas. These are the GPL-licensed Open Source parts
of the Test Bench.
This metapackage contains the scripts to configure a HENCSAT desktop.
See https://www.simula.no for details on HENCSAT!

%files desktop
%{_datadir}/hencsat-desktop/*
%ghost /usr/share/hencsat/splash


%package client
Summary: Client tools for the HENCSAT Test Bench environment
Group: Applications/Internet
BuildArch: noarch
Requires: ffmpeg
Requires: %{name}-desktop = %{version}-%{release}
Requires: %{name}-firewall = %{version}-%{release}
Requires: %{name}-management = %{version}-%{release}

%description client
HENCSAT investigates the benefits of combining H.265 video
encoding with torrent transmission and multi-path transport.
Goal is to optimise communication services -- particularly
also using satellite communication -- for the communication
with unmanned aerial vehicles (UAV) and vehicle convoys in
remote areas. These are the GPL-licensed Open Source parts
of the Test Bench.
This package contains the scripts to configure a HENCSAT client.
See https://www.simula.no for details on HENCSAT!

%files client
/boot/HENCSAT/HSClient1-*.jpeg
%{_sysconfdir}/grub.d/??_hencsat_client_theme

%post client
if [ -e /usr/sbin/grub2-mkconfig ] ; then /usr/sbin/grub2-mkconfig -o /boot/grub2/grub.cfg || true ; fi

%postun client
rm -f /etc/grub.d/??_hencsat_client_theme
if [ -e /usr/sbin/grub2-mkconfig ] ; then /usr/sbin/grub2-mkconfig -o /boot/grub2/grub.cfg || true ; fi


%package controller
Summary: Controller tools for the HENCSAT Test Bench environment
Group: Applications/Internet
BuildArch: noarch
Requires: %{name}-desktop = %{version}-%{release}
Requires: %{name}-management = %{version}-%{release}

%description controller
HENCSAT investigates the benefits of combining H.265 video
encoding with torrent transmission and multi-path transport.
Goal is to optimise communication services -- particularly
also using satellite communication -- for the communication
with unmanned aerial vehicles (UAV) and vehicle convoys in
remote areas. These are the GPL-licensed Open Source parts
of the Test Bench.
This package contains the scripts to configure a HENCSAT controller.
See https://www.simula.no for details on HENCSAT!

%files controller
/boot/HENCSAT/HSController1-*.jpeg
%{_sysconfdir}/grub.d/??_hencsat_controller_theme
%{_bindir}/HENCSAT-QoS-Controller
%{_datadir}/hencsat-controller/*.qm
%{_mandir}/man1/HENCSAT-QoS-Controller.1.gz

%post controller
if [ -e /usr/sbin/grub2-mkconfig ] ; then /usr/sbin/grub2-mkconfig -o /boot/grub2/grub.cfg || true ; fi

%postun controller
rm -f /etc/grub.d/??_hencsat_controller_theme
if [ -e /usr/sbin/grub2-mkconfig ] ; then /usr/sbin/grub2-mkconfig -o /boot/grub2/grub.cfg || true ; fi


%package router
Summary: Router tools for the HENCSAT Test Bench environment
Group: Applications/Internet
BuildArch: noarch
Requires: uuid
Requires: %{name}-firewall = %{version}-%{release}
Requires: %{name}-management = %{version}-%{release}

%description router
HENCSAT investigates the benefits of combining H.265 video
encoding with torrent transmission and multi-path transport.
Goal is to optimise communication services -- particularly
also using satellite communication -- for the communication
with unmanned aerial vehicles (UAV) and vehicle convoys in
remote areas. These are the GPL-licensed Open Source parts
of the Test Bench.
This package contains the scripts to configure a HENCSAT router.
See https://www.simula.no for details on HENCSAT!

%files router
/boot/HENCSAT/HSRouter1-*.jpeg
%{_sysconfdir}/grub.d/??_hencsat_router_theme
%{_bindir}/HENCSAT-QoS-Setup
%{_datadir}/doc/hencsat-router/examples/hencsat-router.conf.example
%{_datadir}/doc/hencsat-router/examples/sudoers.append
%{_mandir}/man1/HENCSAT-QoS-Setup.1.gz

%post router
if [ -e /usr/sbin/grub2-mkconfig ] ; then /usr/sbin/grub2-mkconfig -o /boot/grub2/grub.cfg || true ; fi

%postun router
rm -f /etc/grub.d/??_hencsat_router_theme
if [ -e /usr/sbin/grub2-mkconfig ] ; then /usr/sbin/grub2-mkconfig -o /boot/grub2/grub.cfg || true ; fi


%changelog
* Sat Dec 14 2024 Thomas Dreibholz <dreibh@simula.no> - 1.1.11
- New upstream release.
* Sat Dec 14 2024 Thomas Dreibholz <dreibh@simula.no> - 1.1.10
- New upstream release.
* Wed Dec 06 2023 Thomas Dreibholz <dreibh@simula.no> - 1.1.9
- New upstream release.
* Wed Feb 08 2023 Thomas Dreibholz <dreibh@simula.no> - 1.1.8
- New upstream release.
* Sun Sep 11 2022 Thomas Dreibholz <dreibh@simula.no> - 1.1.7
- New upstream release.
* Wed Feb 16 2022 Thomas Dreibholz <dreibh@simula.no> - 1.1.6
- New upstream release.
* Mon Nov 29 2021 Thomas Dreibholz <dreibh@simula.no> - 1.1.5
- New upstream release.
* Tue Oct 26 2021 Thomas Dreibholz <dreibh@simula.no> - 1.1.4
- New upstream release.
* Mon Jun 14 2021 Thomas Dreibholz <dreibh@simula.no> - 1.1.3
- New upstream release.
* Sun Nov 15 2020 Thomas Dreibholz <dreibh@simula.no> - 1.1.2
- New upstream release.
* Fri Oct 09 2020 Thomas Dreibholz <dreibh@simula.no> - 1.1.1
- New upstream release.
* Tue Oct 06 2020 Thomas Dreibholz <dreibh@simula.no> - 1.1.0
- New upstream release.
* Fri Jun 19 2020 Thomas Dreibholz <dreibh@simula.no> - 1.0.5
- New upstream release.
* Mon Jun 15 2020 Thomas Dreibholz <dreibh@simula.no> - 1.0.4
- New upstream release.
* Tue May 05 2020 Thomas Dreibholz <dreibh@simula.no> - 1.0.3
- New upstream release.
* Wed Jan 22 2020 Thomas Dreibholz <dreibh@simula.no> - 1.0.2
- New upstream release.
* Wed Jan 22 2020 Thomas Dreibholz <dreibh@simula.no> - 1.0.1
- New upstream release.
* Thu Dec 12 2019 Thomas Dreibholz <dreibh@simula.no> - 1.0.0
- New upstream release.
* Thu Nov 14 2019 Thomas Dreibholz <dreibh@simula.no> - 0.8.8
- New upstream release.
* Thu Nov 07 2019 Thomas Dreibholz <dreibh@simula.no> - 0.8.7
- New upstream release.
* Fri Oct 18 2019 Thomas Dreibholz <dreibh@simula.no> - 0.8.6
- New upstream release.
* Thu Sep 26 2019 Thomas Dreibholz <dreibh@simula.no> - 0.8.5
- New upstream release.
* Mon Sep 23 2019 Thomas Dreibholz <dreibh@simula.no> - 0.8.4
- New upstream release.
* Fri Sep 20 2019 Thomas Dreibholz <dreibh@simula.no> - 0.8.3
- New upstream release.
* Thu Aug 22 2019 Thomas Dreibholz <dreibh@simula.no> - 0.8.2
- New upstream release.
* Wed Aug 07 2019 Thomas Dreibholz <dreibh@simula.no> - 0.8.1
- New upstream release.
* Tue Aug 06 2019 Thomas Dreibholz <dreibh@simula.no> - 0.8.0
- New upstream release.
* Tue Aug 06 2019 Thomas Dreibholz <dreibh@simula.no> - 0.7.6
- New upstream release.
* Mon Aug 05 2019 Thomas Dreibholz <dreibh@simula.no> - 0.7.5
- New upstream release.
* Fri Jun 28 2019 Thomas Dreibholz <dreibh@simula.no> - 0.7.4
- New upstream release.
* Thu Jun 27 2019 Thomas Dreibholz <dreibh@simula.no> - 0.7.3
- New upstream release.
* Fri Jun 21 2019 Thomas Dreibholz <dreibh@simula.no> - 0.7.2
- New upstream release.
* Mon May 27 2019 Thomas Dreibholz <dreibh@simula.no> - 0.7.1
- New upstream release.
* Wed May 15 2019 Thomas Dreibholz <dreibh@simula.no> - 0.7.0
- New upstream release.
* Wed Nov 22 2017 Thomas Dreibholz <dreibh@iem.uni-due.de> - 0.0.0
- Created RPM package.
